summaryrefslogtreecommitdiffstats
path: root/office/texlive/texlive.SlackBuild
diff options
context:
space:
mode:
author Johannes Schoepfer2017-11-13 21:17:25 +0100
committer Willy Sudiarto Raharjo2017-11-18 06:40:25 +0100
commit5c64d166b67d6ae0fa8d4587a35776d32d8f89db (patch)
tree6d82bf04c1c4e149278d8db6e4ada0bcf10833c1 /office/texlive/texlive.SlackBuild
parent14e7ba586124170490b5fd3ff6e37554c54a5955 (diff)
downloadslackbuilds-5c64d166b67d6ae0fa8d4587a35776d32d8f89db.tar.gz
office/texlive: Updated for version 2017.171108.
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'office/texlive/texlive.SlackBuild')
-rw-r--r--office/texlive/texlive.SlackBuild66
1 files changed, 49 insertions, 17 deletions
diff --git a/office/texlive/texlive.SlackBuild b/office/texlive/texlive.SlackBuild
index dad028499e..a140c9d9c8 100644
--- a/office/texlive/texlive.SlackBuild
+++ b/office/texlive/texlive.SlackBuild
@@ -2,7 +2,7 @@
# TeXLive build script for Slackware
-# Copyright 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2009, 2017 Patrick J. Volkerding, Sebeka, MN, USA
# Copyright 2009-2014 Robby Workman, Northport, AL, USA
# Copyright 2016-2017 Johannes Schoepfer, Germany
# All rights reserved.
@@ -29,7 +29,7 @@
PRGNAM=texlive
SOURCEVERSION=20170520
-VERSION=${VERSION:-2017.170622}
+VERSION=${VERSION:-2017.171108}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -89,6 +89,9 @@ sed -i \
-e 's|^TEXMFLOCAL.*|TEXMFLOCAL = $TEXMFROOT/texmf-local|' \
texk/kpathsea/texmf.cnf
+# prevent compiling Xdvi with libXp
+sed -i 's|-lXp ||' texk/xdvik/configure
+
# Thanks to the lfs-folks ...
patch -Np1 -i $CWD/patches/texlive-20170524-source-gcc7-1.patch || exit 1
patch -Np1 -i $CWD/patches/texlive-20170524-source-upstream_fixes-2.patch || exit 1
@@ -137,30 +140,31 @@ cd build
--with-system-fontconfig \
--with-system-ncurses \
--without-system-harfbuzz \
+ --disable-aleph \
+ --disable-dump-share \
$POPPLER \
--build=$ARCH-slackware-linux || exit 1
make || exit 1
# make check || exit 1
make install-strip DESTDIR=$PKG || exit 1
- # Create symlinks
- make texlinks DESTDIR=$PKG || exit 1
-cd ..
-# Don't ship .la files:
-rm -f $PKG/usr/lib${LIBDIRSUFFIX}/*.la
+ # Don't ship .la files:
+ rm -f $PKG/usr/lib${LIBDIRSUFFIX}/*.la
-# install the texmf stuff, overwrite partly stuff coming from the source build;
-# don't remove/separate koma-script docs as this is the wish of the author
-mkdir -p $PKG/usr/share
-tar xvf $CWD/texlive-base-$VERSION.tar.xz -C $PKG/usr/share || exit 1
-chown -R root:root $PKG
-chmod -R u+w,go-w,a+rX-st $PKG
+ # Remove all files which are covered by tlnet
+ rm -rf $PKG/usr/share $PKG/usr/man $PKG/usr/info
-# Remove mpost from shell_escape_commands, http://tug.org/pipermail/tldistro/2016q4/000277.html
-sed -i \
- -e '/^mpost/d' \
- $PKG/usr/share/texmf-dist/web2c/texmf.cnf
+ # install the tlnet stuff
+ mkdir -p $PKG/usr/share
+ tar xvf $CWD/texlive-base-$VERSION.tar.xz -C $PKG/usr/share || exit 1
+ chown -R root:root $PKG
+ chmod -R u+w,go-w,a+rX-st $PKG
+
+ # Create symlinks
+ make texlinks DESTDIR=$PKG || exit 1
+
+cd ..
# set some paths
sed -i \
@@ -170,6 +174,14 @@ sed -i \
-e 's|texlive20[0-9][0-9]|texlive|g' \
$PKG/usr/share/texmf-dist/web2c/texmf.cnf
+# disable obsolete aleph/lamed/cslatex/pdfcslatex
+sed -i \
+ -e 's|^aleph|#! aleph|' \
+ -e 's|^lamed|#! lamed|' \
+ -e 's|^cslatex|#! cslatex|' \
+ -e 's|^pdfcslatex|#! pdfcslatex|' \
+ $PKG/usr/share/texmf-dist/web2c/fmtutil.cnf
+
# make ConTeXt work, and remove unused settings
sed -i \
-e 's|selfautoparent:|/usr/share/|g' \
@@ -179,9 +191,22 @@ sed -i \
-e '/texmflocal/d' \
$PKG/usr/share/texmf-dist/web2c/texmfcnf.lua
+# provide texlive fonts optionally for other system apps
+mkdir -p $PKG/etc/fonts/conf.avail
+cat > $PKG/etc/fonts/conf.avail/09-texlive.conf << EOF
+<?xml version='1.0'?>
+<!DOCTYPE fontconfig SYSTEM 'fonts.dtd'>
+<fontconfig>
+ <dir>/usr/share/texmf-dist/fonts/opentype</dir>
+ <dir>/usr/share/texmf-dist/fonts/truetype</dir>
+</fontconfig>
+EOF
+
# Install the docs while we're still here
mkdir -p $PKG/usr/doc/texlive-$VERSION
cp -a ChangeLog README* $PKG/usr/doc/texlive-$VERSION
+# Install index of provided tex packages to the docs
+mv $PKG/usr/share/texmf-dist/packages.base.gz $PKG/usr/doc/texlive-$VERSION
# Put a symlink to /usr/share/texmf-dist/doc in our Slackware docdir
ln -s ../../share/texmf-dist/doc $PKG/usr/doc/texlive-$VERSION/doc
@@ -198,6 +223,13 @@ mkdir -p $PKG/usr/share/{texmf-config,texmf-var,texmf-local}
mkdir -p $PKG/usr/share/perl5
mv texk/tests/TeXLive $PKG/usr/share/perl5/
+# Move manual pages to the correct place
+mkdir $PKG/usr/man
+mv $PKG/usr/share/texmf-dist/doc/man/man1 $PKG/usr/man
+mv $PKG/usr/share/texmf-dist/doc/man/man5 $PKG/usr/man
+rmdir $PKG/usr/share/texmf-dist/doc/man
+mv $PKG/usr/share/texmf-dist/doc/info $PKG/usr
+
# Handle the man pages
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $(find $PKG/usr/man -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done